Update a voucher
curl --request PATCH \
--url https://b.anny.co/api/v1/vouchers/{voucher_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "vouchers",
"attributes": {
"code": "<string>",
"absolute_discount": 123,
"currency": "<string>",
"relative_discount": 123,
"number_available": 123,
"expires_at": "<string>",
"include_add_ons": true,
"description": "<string>",
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"resources": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"orders": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
}
}
}
'import requests
url = "https://b.anny.co/api/v1/vouchers/{voucher_id}"
payload = { "data": {
"id": "<string>",
"type": "vouchers",
"attributes": {
"code": "<string>",
"absolute_discount": 123,
"currency": "<string>",
"relative_discount": 123,
"number_available": 123,
"expires_at": "<string>",
"include_add_ons": True,
"description": "<string>",
"created_at": "<string>"
},
"links": { "self": "<string>" },
"relationships": {
"resources": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"orders": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'vouchers',
attributes: {
code: '<string>',
absolute_discount: 123,
currency: '<string>',
relative_discount: 123,
number_available: 123,
expires_at: '<string>',
include_add_ons: true,
description: '<string>',
created_at: '<string>'
},
links: {self: '<string>'},
relationships: {
resources: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
orders: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}}
}
}
})
};
fetch('https://b.anny.co/api/v1/vouchers/{voucher_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "vouchers",
"attributes": {
"code": "<string>",
"absolute_discount": 123,
"currency": "<string>",
"relative_discount": 123,
"number_available": 123,
"expires_at": "<string>",
"include_add_ons": true,
"description": "<string>",
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"resources": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"orders": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
}
}
}Orders & Billing
Update a voucher
PATCH
/
api
/
v1
/
vouchers
/
{voucher_id}
Update a voucher
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The voucher identifier.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
A discount voucher that can be applied to orders.
Show child attributes
Show child attributes
Antwort
200 - application/vnd.api+json
OK
A discount voucher that can be applied to orders.
Show child attributes
Show child attributes
⌘I